Package ghidra.app.util.dialog

# Class CheckoutDialog

java.lang.Object
docking.DialogComponentProvider
ghidra.app.util.dialog.CheckoutDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class CheckoutDialog extends DialogComponentProvider

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CHECKOUT`
  `static final int`
  `DO_NOT_CHECKOUT`

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckoutDialog(DomainFile df, User user)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `exclusiveCheckout()`
  `int`
  `showDialog()`
  Show the dialog; return an ID for the action that the user chose.

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, dialogClosed, dialogShown, dismissCallback, dispose, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, okCallback, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CHECKOUT

    public static final int CHECKOUT
    See Also:
      - Constant Field Values

  - ### DO_NOT_CHECKOUT

    public static final int DO_NOT_CHECKOUT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CheckoutDialog

    public CheckoutDialog(DomainFile df, User user)

- ## Method Details

  - ### showDialog

    public int showDialog()
    Show the dialog; return an ID for the action that the user chose.
    Returns:
      OK, or CANCEL

  - ### exclusiveCheckout

    public boolean exclusiveCheckout()